module BinderSDK
  class SDKResource < Loquor::Resource
    include Helpers

    def self.spi_type=(type)
      Helpers::SDK_TO_SPI_MAPPINGS[self.name] = type
    end

    def created_at
      DateTime.parse(@data[:created_at])
    end

    def updated_at
      DateTime.parse(@data[:updated_at])
    end
  end
end

RESOURCES = %w{
  user
}

require "binder_sdk/resources/entry"
require "binder_sdk/resources/resource"
require "binder_sdk/resources/user"
RESOURCES.each do |resource|
  require "binder_sdk/resources/#{resource}"
end
